Subject: Re: [PATCHv2 1/3] format-patch: create patch filename in one function

From: Stephen Boyd <[email-masked]>
Date: Sat, 21 Mar 2009 23:56:19 -0700

Junio C Hamano wrote:
> Stephen Boyd <[email-masked]> writes:
>
>> Junio C Hamano wrote:
>> ...
>>> IOW, you can introduce a new format specifier (say, "%f") to
>>> format_commit_message() and the implemention of get_patch_filename() would
>>> just prepare a strbuf and call format_commit_message() on it, no?
>> This sounds great! I'm new so I don't know where to look for something
>> like this.
>
> I suspect you may not even have to pass the generated string around if you
> did so.  Instead, you could pass the commit to log_write_email_headers()
> instead of sha1_to_hex(commit->object.sha1) from show_log(), and use the
> sha-1on the unix "From " line, and inside "if (opt->mime_boundar)", you
> can ask format_commit_message("%f") to come up with a filename.

I believe I won't be able to get the patch suffix at that point in the
code. Unless I decide to add that to the rev_info instead?